Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
locations
/
cities
List storefront delivery cities
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/public/locations/cities \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "data": [
    {
      "city_id": 123,
      "city_name": "<string>"
    }
  ],
  "is_paginated": false
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

Path Parameters

store_id
string
required

Store unique_id.

Query Parameters

province_id

Province ID from /public/locations/provinces.

Optional city name search within the selected province.

Response

City list

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
false